#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/4 12:14
# @File        : exceptions.py
# @Description :
"""


class ConfigKeyError(Exception):
    """
    An error that is raised when a configuration key is not found.
    """
    def __init__(self, key):
        self.key = key
        super().__init__(f'Key {self.key} not found in configuration')


class ServerError(Exception):
    def __init__(self, *args, **kwargs):
        pass
