#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/21 14:10
# @File        : response.py
# @Description :
"""


from flask import Flask, jsonify

app = Flask(__name__)


class JsonResponse:
    @staticmethod
    def success(data, message='Success'):
        return jsonify({
            'status': 'success',
            'message': message,
            'data': data,
        }), 200

    @staticmethod
    def error(message='Error', status_code=400):
        return jsonify({
            'status': 'error',
            'message': message,
        }), status_code

